/* sourcemod v.1.0.3.xxxx plugin script
*
* This is CSS CT force team player model changer
*
* When player model is below :
*  1.ct_urban change to tinkywinky model
*  2.ct_gsg9 change to po model
*  3.ct_sas change to laalaa model
*  4.ct_gsg9 change to dipsy model
*
* My email: leegeek@gmail.com
*
* oOCSSZĵHҫ۰ʧ󴫦ѽu__
*
* ܥHUZĵ:
*  1.ct_urban 󴫦 BB ҫ
*  2.ct_gsg9 󴫦 pi ҫ
*  3.ct_sas 󴫦 ԩ ҫ
*  4.ct_gign 󴫦 } ҫ
*
* ڪemail: leegeek@gmail.com
* http://mygeek.homelinux.com/dod
*
* 2008/7/29
*/


#include <sourcemod>
#include <sdktools>

#define PLUGIN_VERSION "0.5"

new teletubbies_css_team = 3 // CT force team
 
new String:model1[256]= "models/player/tinkywinky_css/tinkywinky_css.mdl"
new String:model2[256]= "models/player/po_css/po_css.mdl"
new String:model3[256]= "models/player/laalaa_css/laalaa_css.mdl"
new String:model4[256]= "models/player/dipsy_css/dipsy_css.mdl"

new Handle:hGameConf
new Handle:hSetModel

public Plugin:myinfo = 
{
	name = "teletubbies_css",
	author = "leegeek",
	description = "set CT model teletubbies_css",
	version = PLUGIN_VERSION,
	url = "leegeek@gmail.com"
};

public OnPluginStart()
{ 
  hGameConf = LoadGameConfigFile("teletubbies_css.gamedata")
  HookEvent("player_spawn", Event_PlayerSpawn, EventHookMode_Post)
  StartPrepSDKCall(SDKCall_Player)
  PrepSDKCall_SetFromConf(hGameConf, SDKConf_Virtual, "SetModel")
  PrepSDKCall_AddParameter(SDKType_String, SDKPass_Pointer)
  hSetModel = EndPrepSDKCall()
}

public OnPluginEnd()
{
}

public OnMapStart()
{
	//open precache file and add everything to download table
	new String:file[256]
	BuildPath(Path_SM, file, 255, "configs/teletubbies_css_download.ini")
	new Handle:fileh = OpenFile(file, "r")
	new String:buffer[256]
	while (ReadFileLine(fileh, buffer, sizeof(buffer)))
	{
		new len = strlen(buffer)
		if (buffer[len-1] == '\n')
   			buffer[--len] = '\0'
   			
		if (FileExists(buffer))
		{
			AddFileToDownloadsTable(buffer)
		}
		
		if (IsEndOfFile(fileh))
			break
	}
}

public OnMapEnd()
{
}

public OnClientPutInServer(client)
{
  PrecacheModel(model1,true)
  PrecacheModel(model2,true)
  PrecacheModel(model3,true)
  PrecacheModel(model4,true)
}
 
public Event_PlayerSpawn(Handle:event, const String:name[], bool:dontBroadcast)
{
  new clientId = GetEventInt(event, "userid")
  new client = GetClientOfUserId(clientId)
  new String:modelname[256] 
  GetClientModel(client, modelname, 256)

  if (GetClientTeam(client) == teletubbies_css_team) // is CT force team ?
  {
    if (StrEqual(modelname, "models/player/ct_urban.mdl", true))
    { 
      if (IsModelPrecached(model1) && IsClientConnected(client))
      {
        SDKCall(hSetModel, client, model1)
        PrintToChat(client,"You are tinkywinky(ct_urban)")
      }
      else
      {
        PrintToChat(client,"set model1 fail")
      }
    }
    if (StrEqual(modelname, "models/player/ct_gsg9.mdl", true))
    { 
      if (IsModelPrecached(model2) && IsClientConnected(client))
      {
        SDKCall(hSetModel, client, model2)
        PrintToChat(client,"You are po(ct_gsg9)")
      }
      else
      {
        PrintToChat(client,"set model2 fail")
      }
    }
    if (StrEqual(modelname, "models/player/ct_sas.mdl", true))
    { 
      if (IsModelPrecached(model3) && IsClientConnected(client))
      {
        SDKCall(hSetModel, client, model3)
        PrintToChat(client,"You are laalaa(ct_sas)")
      }
      else
      {
        PrintToChat(client,"set model3 fail")
      }
    }
    if (StrEqual(modelname, "models/player/ct_gign.mdl", true))
    { 
      if (IsModelPrecached(model4) && IsClientConnected(client))
      {
        SDKCall(hSetModel, client, model4)
        PrintToChat(client,"You are dipsy(ct_gign)")
      }
      else
      {
        PrintToChat(client,"set model4 fail")
      }
    }     
  }  
}